package _14_逻辑运算符;

public class Test {

    public static void main(String[] args) {
        /**
         * true & true         true
         * true & false        fals e
         * false & false       false
         *
         * true | true      true
         * true | false     true
         * false |false     false
         *
         */
        System.out.println(true && true);
        System.out.println(false & true);
        System.out.println(true & false);
        System.out.println(false & false);
        System.out.println(true || true);
        System.out.println(false | true);
        System.out.println(true | false);
        System.out.println(false | false);

        System.out.println(!true);
    }
}
